Electrolux Rangehood Carbon Filter Cartridge 900403734 - Doug Smith Spares

Electrolux Rangehood Carbon Filter Cartridge 900403734 - Doug Smith Spares

Price$36.95

In stock at JB Hi-Fi

Price checked today

Buy at JB Hi-Fi

We may earn a commission if you buy; it doesn't change your price. Check the price at JB Hi-Fi before you buy. How we make money

Price history

Tracking since today

The price hasn't changed since we started tracking it. We'll show its history once it does.

About this product

Store
JB Hi-Fi
Category
Home & Garden > Kitchen & Dining > Kitchen Appliances > Range Hoods
SKU
10102988

Carbon Filter Cartridge for your Electrolux Rangehood. Activated-carbon rangehood filter, approximately 172 mm in diameter. Use only Genuine Electrolux Spare Parts from an authorised Electrolux parts distributor.

Compatible Model Numbers: Westinghouse RFC600, RFC602, RFC630, RFC632, RFC900, RFC902, RFC930, RFC932, RDN6, RGN6, RDN9, RGN9, RDHR6, RDHR9, WRG600, WRG602, WRG613, WRG900, WRG901, WRG913, WRH600, WRH602, WRH603, WRH611, WRH900, WRH903, WRH911, WRG605I, WRG607, WRG607I, WRG610I, WRG905I, WRG907, WRG907I, WRG910I, WRH602KW, WRH900UK, WRH900US, WRH900UW, WRG901US, WRG900UW, WRG900UK, WRG605IW, WRG605IS, WRG905IW, WRG905IS, WRG607IS, WRG907IW, WRG907IS, WRG610IW, WRG610IS, WRG910IW, WRG910IS, RDHR6W, RDHR6S, RDHR9W, WRG607IW, RFC632S, RFC632W, RFC932K, RFC932S, RFC932W, RDN6S, RDN6W, RDN9S, RDN9W, RGN6S, RGN6W, RGN9S, RGN9W, RFC602K, RFC602S, RFC602W, RFC902S, RFC902W, WRH603UW, WRH611US, WRH903UW, WRH911US, RCN6W, RCN9W, RCN6S, RCN9S, RCHR6W, RCHR9W, RCHR6S, RCHR9S, WRF600UB, WRF600UA, WRF600UW, WRF900UW, WRF602AW, WRF603UW, WRF903UW, WRF913UW, WRF613UW, WRF616UW, WRF916UW, WRF601US, WRF611US, WRF911US, WRF900UK, WRF600UK, WRF602KW, WRF905IW, WRF605IW, WRF605IS, WRF905IS, WRF610IW, WRF910IW, WRF610IS, WRF910IS, WRF609ES, WRF809ES, WRF901US, WRF616UK, WRF916UK, WRF900UB, WRF900UA, WFR605IS, RCHR9W, RBHR6W, RBHR9W.

Alternative Part Numbers: 900403734, ACC069, ARCFC, 0144002137 and KE3452, ACC072, 900403734, 10803101000, 10803101020, 10804101050, ARCFC, 1588891 1588891 1588891.